LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices


Reply
  Search this Thread
Old 12-26-2005, 04:59 PM   #1
MaaSTaaR
Member
 
Registered: Aug 2005
Location: Kuwait
Distribution: OpenSuSE
Posts: 40

Rep: Reputation: 15
problem with compiling Smartlink


Hello ...

i have Smartlink modem and i visited https://wiki.ubuntu.com/DialupModemH...1a3a91876e1ad4

and do steps in "Modems supported by the Smartlink driver"

it's show for me this errors

Code:
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp
# Add here commands to clean up after the build process.
/usr/bin/make clean SUPPORT_ALSA=1
make[1]: Entering directory `/usr/src/modules/sl-modem'
make[1]: Leaving directory `/usr/src/modules/sl-modem'
cd modem; /usr/bin/make clean SUPPORT_ALSA=1
make[1]: Entering directory `/usr/src/modules/sl-modem/modem'
make[1]: Leaving directory `/usr/src/modules/sl-modem/modem'
dh_clean
/usr/bin/make -C drivers clean
make[1]: Entering directory `/usr/src/modules/sl-modem/drivers'
rm -f kernel-ver slamr.o slusb.o slamr.ko slusb.ko *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~
rm -f -r .tmp_versions
make[1]: Leaving directory `/usr/src/modules/sl-modem/drivers'
/usr/bin/make  -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entering directory `/usr/src/modules/sl-modem'
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp
# Add here commands to clean up after the build process.
/usr/bin/make clean SUPPORT_ALSA=1
make[2]: Entering directory `/usr/src/modules/sl-modem'
make[2]: *** No rule to make target `clean'.  Stop.
make[2]: Leaving directory `/usr/src/modules/sl-modem'
make[1]: [clean] Error 2 (ignored)
cd modem; /usr/bin/make clean SUPPORT_ALSA=1
make[2]: Entering directory `/usr/src/modules/sl-modem/modem'
make[2]: *** No rule to make target `clean'.  Stop.
make[2]: Leaving directory `/usr/src/modules/sl-modem/modem'
make[1]: [clean] Error 2 (ignored)
dh_clean
/usr/bin/make -C drivers clean
make[2]: Entering directory `/usr/src/modules/sl-modem/drivers'
rm -f kernel-ver slamr.o slusb.o slamr.ko slusb.ko *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~
rm -f -r .tmp_versions
make[2]: Leaving directory `/usr/src/modules/sl-modem/drivers'
for templ in /usr/src/modules/sl-modem/debian/sl-modem-modules-_KVERS_.postinst.modules.in; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/2.6.12-9-386/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in} ${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/2.6.12-9-386/g ;s/#KVERS#/2.6.12-9-386/g ; s/_KVERS_/2.6.12-9-386/g ; s/##KDREV##/2.6.12-9.23/g ; s/#KDREV#/2.6.12-9.23/g ; s/_KDREV_/2.6.12-9.23/g' < $templ > ${templ%.modules.in}; \
  done
dh_clean -k
dh_installdirs lib/modules/2.6.12-9-386/misc usr/lib/sl-modem
if ! test -e drivers/Makefile ; then echo "Please update the package, extract the tarball!"; exit 1 ; fi
/usr/bin/make -C drivers KERNEL_DIR=/usr/src/linux-headers-2.6.12-9-386 KVERS=2.6.12-9-386
make[2]: Entering directory `/usr/src/modules/sl-modem/drivers'
gcc-3.4 -I/usr/src/linux-headers-2.6.12-9-386/include -o kernel-ver kernel-ver.c
make[2]: gcc-3.4: Command not found
make[2]: *** [kernel-ver] Error 127
make[2]: Leaving directory `/usr/src/modules/sl-modem/drivers'
make[1]: *** [binary-modules] Error 2
make[1]: Leaving directory `/usr/src/modules/sl-modem'
make: *** [kdist_build] Error 2
 
Old 12-27-2005, 04:06 PM   #2
MaaSTaaR
Member
 
Registered: Aug 2005
Location: Kuwait
Distribution: OpenSuSE
Posts: 40

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by MaaSTaaR
Hello ...

i have Smartlink modem and i visited https://wiki.ubuntu.com/DialupModemH...1a3a91876e1ad4

and do steps in "Modems supported by the Smartlink driver"

it's show for me this errors

Code:
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp
# Add here commands to clean up after the build process.
/usr/bin/make clean SUPPORT_ALSA=1
make[1]: Entering directory `/usr/src/modules/sl-modem'
make[1]: Leaving directory `/usr/src/modules/sl-modem'
cd modem; /usr/bin/make clean SUPPORT_ALSA=1
make[1]: Entering directory `/usr/src/modules/sl-modem/modem'
make[1]: Leaving directory `/usr/src/modules/sl-modem/modem'
dh_clean
/usr/bin/make -C drivers clean
make[1]: Entering directory `/usr/src/modules/sl-modem/drivers'
rm -f kernel-ver slamr.o slusb.o slamr.ko slusb.ko *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~
rm -f -r .tmp_versions
make[1]: Leaving directory `/usr/src/modules/sl-modem/drivers'
/usr/bin/make  -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entering directory `/usr/src/modules/sl-modem'
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp
# Add here commands to clean up after the build process.
/usr/bin/make clean SUPPORT_ALSA=1
make[2]: Entering directory `/usr/src/modules/sl-modem'
make[2]: *** No rule to make target `clean'.  Stop.
make[2]: Leaving directory `/usr/src/modules/sl-modem'
make[1]: [clean] Error 2 (ignored)
cd modem; /usr/bin/make clean SUPPORT_ALSA=1
make[2]: Entering directory `/usr/src/modules/sl-modem/modem'
make[2]: *** No rule to make target `clean'.  Stop.
make[2]: Leaving directory `/usr/src/modules/sl-modem/modem'
make[1]: [clean] Error 2 (ignored)
dh_clean
/usr/bin/make -C drivers clean
make[2]: Entering directory `/usr/src/modules/sl-modem/drivers'
rm -f kernel-ver slamr.o slusb.o slamr.ko slusb.ko *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~
rm -f -r .tmp_versions
make[2]: Leaving directory `/usr/src/modules/sl-modem/drivers'
for templ in /usr/src/modules/sl-modem/debian/sl-modem-modules-_KVERS_.postinst.modules.in; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/2.6.12-9-386/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in} ${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/2.6.12-9-386/g ;s/#KVERS#/2.6.12-9-386/g ; s/_KVERS_/2.6.12-9-386/g ; s/##KDREV##/2.6.12-9.23/g ; s/#KDREV#/2.6.12-9.23/g ; s/_KDREV_/2.6.12-9.23/g' < $templ > ${templ%.modules.in}; \
  done
dh_clean -k
dh_installdirs lib/modules/2.6.12-9-386/misc usr/lib/sl-modem
if ! test -e drivers/Makefile ; then echo "Please update the package, extract the tarball!"; exit 1 ; fi
/usr/bin/make -C drivers KERNEL_DIR=/usr/src/linux-headers-2.6.12-9-386 KVERS=2.6.12-9-386
make[2]: Entering directory `/usr/src/modules/sl-modem/drivers'
gcc-3.4 -I/usr/src/linux-headers-2.6.12-9-386/include -o kernel-ver kernel-ver.c
make[2]: gcc-3.4: Command not found
make[2]: *** [kernel-ver] Error 127
make[2]: Leaving directory `/usr/src/modules/sl-modem/drivers'
make[1]: *** [binary-modules] Error 2
make[1]: Leaving directory `/usr/src/modules/sl-modem'
make: *** [kdist_build] Error 2
up ......
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
FC4 problems compiling the smartlink modem driver on a toshiba satellite scottie4442 Fedora 43 05-20-2006 09:27 AM
problem with smartlink 5600k nissen Linux - Hardware 1 08-27-2005 06:14 PM
winmodem - smartlink problem barthol Linux - Hardware 0 12-04-2004 11:29 AM
compiling SmartLink modem driver problem bugyugo Linux - Laptop and Netbook 1 07-23-2003 09:42 AM
SmartLink Linmodem problem ugenn Linux - Hardware 4 01-02-2003 06:42 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu

All times are GMT -5. The time now is 01:40 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration